import os
import subprocess

import uvicorn
from db.models.base import BaseResponse
from db.models.log_data_model import LOT_DATA, LOT_DATA_MODEL
from db.repository import add_kb_to_db, get_kb_detail, get_kb_detail_by_time, delete_kb_detail_by_time

from fastapi import FastAPI


def add(data: LOT_DATA):
    try:
        add_kb_to_db(data)
        return BaseResponse()
    except Exception as e:
        return BaseResponse(code=500, msg=e)


def delete(start_time, end_time):
    try:
        delete_kb_detail_by_time(start_time, end_time)
        return BaseResponse()
    except Exception as e:
        return BaseResponse(code=500, msg=e)


def get_data():
    try:
        data = get_kb_detail()
        return BaseResponse(data=data)
    except Exception as e:
        return BaseResponse(code=404, msg=e)
